<script>
	jQuery(function($) {
		var $ = jQuery;
		
		$('.fieldsettings').hide();
		$('.templatesettings').hide();		

		$('#type').change(function() {
			var value = $(this).val();

			$('.fieldsettings').hide();
			$('.templatesettings').hide();

			switch(value) {
				case 'field':
					$('.fieldsettings').show();
					break;
				case 'template':
					$('.templatesettings').show();
					break;				
			}
		});

		$('#type').change();
	});
</script>